#### crowsnest.conf
#### This is the default config after installation.
#### It is also used as the default config in MainsailOS.
#### For details on how to configure this to your needs, see:
#### https://github.com/mainsail-crew/crowsnest/blob/master/README.md


#####################################################################
####                                                            #####
####      Information about ports and according URL's           #####
####                                                            #####
#####################################################################
####                                                            #####
####    Port 8080 equals /webcam/?action=[stream/snapshot]      #####
####    Port 8081 equals /webcam2/?action=[stream/snapshot]     #####
####    Port 8082 equals /webcam3/?action=[stream/snapshot]     #####
####    Port 8083 equals /webcam4/?action=[stream/snapshot]     #####
####                                                            #####
####    Note: These ports are default for most Mainsail         #####
####    installations. Using any other port would involve       #####
####    changing the proxy configuration or using URLs          #####
####    with the specific port like                             #####
####    http://<ip>:<port>/?action=[stream/snapshot]            #####
####                                                            #####
#####################################################################
####    RTSP Stream URL: ( if enabled and supported )           #####
####    rtsp://<ip>:<rtsp_port>/stream.h264                     #####
#####################################################################


[crowsnest]
log_path: /home/pi/printer_data/logs/crowsnest.log
log_level: debug                      # Valid Options are quiet/verbose/debug
delete_log: true                       # Deletes log on every restart, if set to true
no_proxy: false                         # If set to true, no reverse proxy is required. Only change this, if you know what you are doing.

[cam 1]
mode: camera-streamer       
enable_rtsp: false                    
rtsp_port: 8554                      
port: 8080                              
device: /dev/video0
resolution: 1920x1080
max_fps: 30 

[cam 2]
mode: camera-streamer            
enable_rtsp: false                    
rtsp_port: 8555                      
port: 8081                             
device: /dev/video2
resolution: 1280x720          
max_fps: 30